{
  lib,
  stdenv,
  fetchFromGitHub,
  pkgs,
  ...
}:

stdenv.mkDerivation rec {
  pname = "hyprshot-gui";
  version = "2023-10-20";

  src = fetchFromGitHub {
    owner = "ThatOneCalculator";
    repo = pname;
    rev = "30a9bc377c1c0a3ad05c63945f2fe92709a99d7b";
    sha256 = "sha256-XUy6+mFbNL+3zDfS4tWva4DiJeLnRM9S8ECRayTcPfI=";
  };

  nativeBuildInputs = with pkgs; [ makeWrapper ];

  buildInputs = with pkgs; [
    bash
    hyprshot
    gnome.zenity
  ];

  dontBuild = true;
  installPhase = ''
    mkdir -p $out/bin
    cp hyprshot-gui $out/bin/hyprshot-gui
    wrapProgram $out/bin/hyprshot-gui --prefix PATH : '${lib.makeBinPath buildInputs}'
  '';

  meta = with lib; {
    description = "A simple shell script";
    homepage = "https://github.com/ThatOneCalculator/hyprshot-gui";
    platforms = platforms.all;
    mainProgram = "hyprshot-gui";
    # maintainers
  };
}
